SitePoint Sponsor

User Tag List

Results 1 to 4 of 4
  1. #1
    SitePoint Member
    Join Date
    Apr 2012
    Posts
    2
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Need help and/or Mentor

    Just starting with Ruby & Rails. Actually, I am a newby to coding.
    Anyhow, I purchased the Book "Simply Rails 2" and I am experiencing some problems loading the programs as described in the book on my Macbook Pro.
    Seems like the versions have changed and apparently can't even update Rails on my computer.
    I would love to find an assistant (mentor) to take me through those Baby Steps of getting me started.
    Looking forward in hearing from you all

    Kind regards,

    Joseph

  2. #2
    SitePoint Zealot
    Join Date
    Feb 2003
    Location
    Akron, OH, USA
    Posts
    102
    Mentioned
    3 Post(s)
    Tagged
    0 Thread(s)
    Unfortunately, Simply Rails 2 is outdated. However, you can still learn the basics from it and use it as a springboard to get started.

    As far as getting things running on your system I would recommend that you do the following:

    1. Install and use RVM (Ruby Version Manager)

    Follow the instructions @ http://beginrescueend.com/

    2. Create a gemset with RVM

    Follow the instructions @ http://beginrescueend.com/gemsets/basics/

    3. Install the latest Rails 2.x.x version

    gem install rails 2.3

    4. Now try to continue with the book as you now have an environment similar to when the book was written.

    If this seems to be too cumbersome then I would recommend that you check out http://ruby.railstutorial.org/ruby-o...ok?version=3.2
    It is a current and up to date Rails tutorial.

  3. #3
    SitePoint Member
    Join Date
    Apr 2012
    Posts
    2
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Still have problems with both Tutorials - Loading rails

    Thank you for your prompt response. Could we connect via Skype or FaceTime?
    I have trying to load Rails on my Mac for weeks, and must experience that "idiots for beginners syndrome!"
    I have never downloaded from source, and although I follow the code religiously wit cut/past I am getting a series of error messages.
    How could we connect, and make sure that my computer (Mac Book Pro) is up to snuff.
    Seems like my machine has Ruby but it won't install Rails.

    Joseph


    Quote Originally Posted by scannon View Post
    Unfortunately, Simply Rails 2 is outdated. However, you can still learn the basics from it and use it as a springboard to get started.

    As far as getting things running on your system I would recommend that you do the following:

    1. Install and use RVM (Ruby Version Manager)

    Follow the instructions @ http://beginrescueend.com/

    2. Create a gemset with RVM

    Follow the instructions @ http://beginrescueend.com/gemsets/basics/

    3. Install the latest Rails 2.x.x version

    gem install rails 2.3

    4. Now try to continue with the book as you now have an environment similar to when the book was written.

    If this seems to be too cumbersome then I would recommend that you check out http://ruby.railstutorial.org/ruby-o...ok?version=3.2
    It is a current and up to date Rails tutorial.

  4. #4
    SitePoint Zealot
    Join Date
    Feb 2003
    Location
    Akron, OH, USA
    Posts
    102
    Mentioned
    3 Post(s)
    Tagged
    0 Thread(s)
    Unfortunately I can't Skype (no microphone or webcam) and I can't FaceTime (no cellphone/mac/ipad). I can certainly try to help you over the forums here as that is the best way for me to communicate presently.

    A couple of things to help me help you.

    How comfortable are you with the command prompt and your terminal application? With Rails (and Ruby) you will use this A LOT and you need to be comfortable with it.

    What kind of programming experience do you have?

    Open up your terminal app and run the following: ruby -v and post the output here.


Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •